org.tmatesoft.svn.core.wc.admin

## Class SVNAdminEventAdapter

- java.lang.Object
- - org.tmatesoft.svn.core.wc.admin.SVNAdminEventAdapter

All Implemented Interfaces:
  ISVNCanceller, ISVNAdminEventHandler, ISVNEventHandler

    public class SVNAdminEventAdapter
    extends java.lang.Object
    implements ISVNAdminEventHandler

SVNAdminEventAdapter is an adapter class for `ISVNAdminEventHandler`. Users's event handler implementations should extend this adapter class rather than implementing `ISVNAdminEventHandler` directly. This way, if the `ISVNAdminEventHandler` interface is changed in future, users' event handler implementations won't get broken since the changes will be reflected in this adapter class.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

### Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler

`UNKNOWN`

### Fields inherited from interface org.tmatesoft.svn.core.ISVNCanceller

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`SVNAdminEventAdapter()`

### Method Summary

Methods
`void` `checkCancelled()` Does nothing.
`void` `handleAdminEvent(SVNAdminEvent event, double progress)` Does nothing.
`void` `handleEvent(SVNEvent event, double progress)` Does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNAdminEventAdapter

    public SVNAdminEventAdapter()

### Method Detail

#### handleAdminEvent

    public void handleAdminEvent(SVNAdminEvent event,
                        double progress)
                          throws SVNException

Does nothing. To be overridden by a user's implementation.

Specified by:
  `handleAdminEvent` in interface `ISVNAdminEventHandler`
Parameters:
  `event` -
  `progress` -
Throws:
  `SVNException`

#### checkCancelled

    public void checkCancelled()
                        throws SVNCancelException

Does nothing. To be overridden by a user's implementation.

Specified by:
  `checkCancelled` in interface `ISVNCanceller`
Throws:
  `SVNCancelException`

#### handleEvent

    public void handleEvent(SVNEvent event,
                   double progress)
                     throws SVNException

Does nothing. To be overridden by a user's implementation.

Specified by:
  `handleEvent` in interface `ISVNEventHandler`
Parameters:
  `event` -
  `progress` -
Throws:
  `SVNException`